View Issue Details

IDProjectCategoryView StatusLast Update
0000103FreeCADFeaturepublic2010-06-29 13:30
ReporterwmayerAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.10 
Target Version0.10Fixed in Version0.10 
Summary0000103: Separate creation of Inventor nodes from view provider
DescriptionThis allows to use the view provider in a more flexible way. Especially, for python we can implement a high-level custom view provider which can display more than one shape, mesh, points and could even mix-up different geometry types.

We need a framework which provides the information which view provider can render which property type. The custom view provider should be some kinf of meta-view provider which creates the needed view provider at runtime and simply manages them.
TagsNo tags attached.

Activities

wmayer

2010-06-02 09:15

administrator   ~0000235

Done in rev. 3196

Issue History

Date Modified Username Field Change
2010-06-01 18:22 wmayer New Issue
2010-06-01 18:22 wmayer Status new => assigned
2010-06-01 18:22 wmayer Assigned To => wmayer
2010-06-02 09:15 wmayer Note Added: 0000235
2010-06-02 09:15 wmayer Status assigned => closed
2010-06-02 09:15 wmayer Resolution open => fixed
2010-06-29 13:30 Jriegel Fixed in Version => 0.10
2010-06-29 13:30 Jriegel Target Version => 0.10